namespace SharpRSS.API.Contracts.DTO
{
    public class ApiListResult<TResultValue>
    {
        public ApiListResult(int hits, int total, TResultValue? data)
        {
            Hits = hits;
            Total = total;
            Data = data;
        }

        public int Hits { get; }
        public int Total { get; }
        public TResultValue? Data { get; }
    }
}